# HW4: Data processing

For this homework we will use well-known Titanic dataset which contains information about passengers of Titanic.
The dataset contains personal information about each passenger and indicator whether the passenger survive.
We will use this data to analyse passenger list and their chance for survival.

Provided dataset contains following attributes:
 'Age' - age in years,
 'Fare' - fare ticked price,
 'Name' - passenger name,
 'Parch' - # of parents/children of given person on board,
 'PassengerId' - identifier,
 'Pclass' - travelling class, 1 = 1. class, 2 = 2. class, 3 = 3. class,
 'Sex' - sex,
 'SibSp' - # siblings/spouses on board,
 'Survived' - 0 = died, 1 = survived,
 'Embarked' - boarding port C = Cherbourg, Q = Queenstown, S = Southampton,
'Cabin' - cabin number
 'Ticket' - ticket number


You can find detailed instructions in assigment `analysis/homework04.py`.
You can use only packages `numpy` and `pandas`, do not use packages such as `scipy`, `sklearn`, etc.

Try to use pandas methods and method chains as much as possible.
